Summary: PHP documentation plugin for kdevelop
Name: kdevelop4-php-docs
Version: 1.2.3
Release: %mkrel 1
Source0: http://fr2.rpmfind.net/linux/KDE/stable/kdevelop/4.2.3/src/kdevelop-php-docs-%{version}.tar.bz2
License: GPLv2+
Group: Development/Other
Url: http://www.kdevelop.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: kdelibs4-devel
BuildRequires: kdevplatform4-devel >= 4:1.2.0
Requires: kdevelop4-php >= %{version}

%description
This plugin adds PHP documentation-view to KDevelop.

%files -f kdevphpdocs.lang
%defattr(-,root,root)
%_kde_libdir/kde4/kdevphpdocs.so
%_kde_libdir/kde4/kdevphpdocs_config.so
%_kde_datadir/config.kcfg/phpdocssettings.kcfg
%_kde_services/kdevphpdocs.desktop
%_kde_services/kdevphpdocs_config.desktop

#--------------------------------------------------------------------

%prep
%setup -qn kdevelop-php-docs-%{version}

%build
%cmake_kde4
%make

%install
rm -rf %{buildroot}
%{makeinstall_std} -C build

%find_lang kdevphpdocs

%clean
rm -rf %{buildroot}


%changelog
* Sat Jun 25 2011 Funda Wang <fwang@mandriva.org> 1.2.3-1mdv2011.0
+ Revision: 687197
- new version 1.2.3

* Wed Apr 06 2011 Funda Wang <fwang@mandriva.org> 1.2.2-1
+ Revision: 651074
- new version 1.2.2

* Tue Apr 05 2011 Funda Wang <fwang@mandriva.org> 1.2.1-1
+ Revision: 650469
- new version 1.2.1

* Sun Feb 27 2011 Funda Wang <fwang@mandriva.org> 1.2.0-2
+ Revision: 640445
- rebuild to obsolete old packages

* Mon Jan 24 2011 Funda Wang <fwang@mandriva.org> 1.2.0-1
+ Revision: 632467
- new version 1.2.0

* Mon Jan 10 2011 Funda Wang <fwang@mandriva.org> 1.1.90-1
+ Revision: 630843
- new version 1.1.90

* Wed Dec 29 2010 Funda Wang <fwang@mandriva.org> 1.1.81-1mdv2011.0
+ Revision: 625815
- new version 1.1.81

* Fri Dec 17 2010 Funda Wang <fwang@mandriva.org> 1.1.80-1mdv2011.0
+ Revision: 622559
- new version 1.1.80

* Wed Oct 27 2010 Colin Guthrie <cguthrie@mandriva.org> 1.1-1.git20101027.1mdv2011.0
+ Revision: 589636
- Update to work with current kdevelop4

* Sun Sep 05 2010 Funda Wang <fwang@mandriva.org> 1.0.2-1mdv2011.0
+ Revision: 576056
- new version 4.0.2

* Sun Jul 18 2010 Funda Wang <fwang@mandriva.org> 1.0.1-1mdv2011.0
+ Revision: 554771
- new version 1.0.1

  + Luis Daniel Lucio Quiroz <dlucio@mandriva.org>
    - Rebuild

* Thu Apr 29 2010 Funda Wang <fwang@mandriva.org> 1.0.0-1mdv2010.1
+ Revision: 540694
- 1.0.0 final

* Sun Apr 04 2010 Funda Wang <fwang@mandriva.org> 0-0.rc1.1mdv2010.1
+ Revision: 531398
- rc1

* Sun Dec 13 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0-0.beta2.1mdv2010.1
+ Revision: 478362
- Fix %%setup
- Update to Beta 2

* Fri Nov 06 2009 Funda Wang <fwang@mandriva.org> 0-0.beta1.1mdv2010.1
+ Revision: 461809
- update description
- import kdevelop4-php-docs

